% Simulation of the behavior of the reconstruction demand for the pessimistic and the oblivious tampering patterns.

restoredefaultpath;
addpath('../include/');
addpath('../include/fc');
addpath('../include/alloc');

subplot(1,2,1); plot_demand([0.25 0.5 1], [3 2 1], 1024, 3);

[sx, sy, fx, fy] = simulate_demand([0.25 0.5 1], [3 2 1], 128, 50, true, true);
hold on;
plot(sx, sy, 'go', fx, fy, 'rx');

subplot(1,2,2); plot_demand([0.25 0.5 1], [3 2 1], 1024, 1);

[sx, sy, fx, fy] = simulate_demand([0.25 0.5 1], [3 2 1], 128, 50, false, false);
hold on;
plot(sx, sy, 'go', fx, fy, 'rx');