function y = dm_model_mexp(x, model_file)

    load(model_file);

    Aeq = [1 2 3 4 5 6 7 8 7 6 5 4 3 2 1];

	% Remap coefficients
	a = zeros(64,1);
	b = zeros(64,1);
	c = zeros(64,1);
	d = zeros(64,1);
    
    li = 0;
    for i = 1:15;
        a(li+1:li+Aeq(i)) = repmat(a_coeffs(i), Aeq(i), 1);
        b(li+1:li+Aeq(i)) = repmat(b_coeffs(i), Aeq(i), 1);
        c(li+1:li+Aeq(i)) = repmat(c_coeffs(i), Aeq(i), 1);
        d(li+1:li+Aeq(i)) = repmat(d_coeffs(i), Aeq(i), 1);
        li = li + Aeq(i);
    end

	Aeq = ones(1,64);
    x(x < 0) = 0;

    y = sum((exp(d+a.*exp(-b.*(x.^c))))'.*Aeq/64);

end