function y = dm_model_msim(x, model_file)

    load(model_file);

    Aeq = [1 2 3 4 5 6 7 8 7 6 5 4 3 2 1];

	% Remap coefficients
	e = zeros(64,1);
	f = zeros(64,1);
	g = zeros(64,1);
    
    li = 0;
    for i = 1:15;
        e(li+1:li+Aeq(i)) = repmat(e_coeffs(i), Aeq(i), 1);
        f(li+1:li+Aeq(i)) = repmat(f_coeffs(i), Aeq(i), 1);
        g(li+1:li+Aeq(i)) = repmat(g_coeffs(i), Aeq(i), 1);
        li = li + Aeq(i);
    end

	Aeq = ones(1,64);
    x(x < 0) = 0;

    y = sum((e.*exp(-f.*(x.^g)))'.*Aeq/64);

end