function vec = dec2binvec(dec, prec)
    if nargin == 1, prec = ceil(log2(dec+1)); end;
    dec = uint32(dec);
    vec = false(1, prec);
    i = uint16(1);
    while dec > 0 && i <= prec
        vec(i) = mod(dec,2);
        dec = bitshift(dec,-1);
        i = i+1;
    end
%     if length(vec) > prec
%         vec = vec(1:prec);
%         fprintf('WARNING Not enough precision!');
%     end
end