function [rank_psnr, rank_ssim, imgs, psnrs, ssims] = rank_matrix(P, dataset, mode, dr_factor, directory)
    if nargin == 5
        [imgs, psnrs, ssims] = multi_image_test(P, dataset, mode, dr_factor, directory);
    else
        [imgs, psnrs, ssims] = multi_image_test(P, dataset, mode, dr_factor);
    end
    rank_psnr = mean(psnrs);
    rank_ssim = mean(ssims);
end