function data = remove_outliers(data, perc)
% 
% data = remove_outliers(data, perc)
%
% Input: 
%  - data - 
%  - perc - amount of data to leave, e.g. 0.95 leaves 95% od data

    nums = numel(data);
    removed = 0;

    while removed/nums < 1-perc
        vm = mean(data);
        dists = abs(data-vm);
        [vmin ind] = max(dists);
        data(ind) = [];
        removed = removed + 1;
    end

end