function o = self_recovery_defaults()
    o = struct();
    o.LSBS = 2;
    o.BLOCK = 8;
%     o.dr_factor = pow2(o.LSBS);
    o.H_LENGTH = 32; % Hash length, currently unused
    o.SQ_LENGTH = 16;
    o.RANDOMIZE_LSBS = false;
    o.KEY = 1234; % 1234
    o.verbose = true;
    o.qdf_resolution = 4;
    o.dm_dataset = 'bows';
    o.dm_quantizer = 'lloyd';
    o.decoder = 'self-recovery';
    o.use_mex = exist('c_rlf_decode', 'file') == 3 && exist('c_rlf_encode', 'file') == 3;
	if o.use_mex == false, fprintf('INFO Using Matlab routines for fountain coding; Compile MEX version for optimal performance.\n'); end
end