function y = dm_model_mlin(x, model_file)
    load(model_file);
    Aeq = [1 2 3 4 5 6 7 8 7 6 5 4 3 2 1];

	% Remap coefficients
	p = zeros(64,1);
	q = zeros(64,1);
    
	li = 0;
	for i = 1:15;
		p(li+1:li+Aeq(i)) = repmat(p_coeffs(i), Aeq(i), 1);
		q(li+1:li+Aeq(i)) = repmat(q_coeffs(i), Aeq(i), 1);
		li = li + Aeq(i);
	end

	Aeq = ones(1,64);

    y = sum((exp(1).^((p.*x+q)')).*Aeq/64);
end